Package org.kie.internal.runtime.manager.deploy

## Class TransientNamedObjectModel

- java.lang.Object
- - org.kie.internal.runtime.conf.ObjectModel
  - - org.kie.internal.runtime.conf.NamedObjectModel
    - - org.kie.internal.runtime.manager.deploy.TransientNamedObjectModel

- All Implemented Interfaces:
    `java.io.Serializable`

      public class TransientNamedObjectModel
      extends NamedObjectModel

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TransientNamedObjectModel()` |
    `TransientNamedObjectModel​(java.lang.String name, java.lang.String classname, java.lang.Object... parameters)` |
    `TransientNamedObjectModel​(java.lang.String resolver, java.lang.String name, java.lang.String classname, java.lang.Object... parameters)` |

  - ### Method Summary

    - ### Methods inherited from class org.kie.internal.runtime.conf.NamedObjectModel

      `equals, getName, hashCode, setName`

    - ### Methods inherited from class org.kie.internal.runtime.conf.ObjectModel

      `addParameter, getIdentifier, getParameters, getResolver, setIdentifier, setParameters, setResolver, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransientNamedObjectModel

          public TransientNamedObjectModel()

    - #### TransientNamedObjectModel

          public TransientNamedObjectModel​(java.lang.String name,
                                           java.lang.String classname,
                                           java.lang.Object... parameters)

    - #### TransientNamedObjectModel

          public TransientNamedObjectModel​(java.lang.String resolver,
                                           java.lang.String name,
                                           java.lang.String classname,
                                           java.lang.Object... parameters)